SCIPLOT(1)

NAME
SciPlot - plot x/y or polar data files

DESCRIPTION
sciplot-xyplot reads one or more plot description files and opens an interactive GTK4 plot window for each. If no files are given, the plot description is read from standard input.

Each file may define multiple plot frames using the Title command. Plots may be Cartesian (x/y) or polar. The interactive window provides controls for toggling log axes, axis labels, the legend, and PostScript export.

The input file format is described in SciPlotDemo.html, installed in the documentation directory.

  Usage:

    sciplot-xyplot [OPTION???] [FILE...]

Plot x/y or polar data from FILE(s), or standard input if none given.

  Help Options:

-h, --help
    Show help options

--help-all
    Show all help options

--help-gapplication
    Show GApplication options

  Application Options:

-V, --version
    Show version information and exit

INPUT FORMAT
Commands recognised in each input file:

Title [title]
    Start a new plot frame. If title is omitted the frame is untitled.

Xaxis [label]
    Set the X-axis label.

Yaxis [label]
    Set the Y-axis label.

Polar [rad]
    Switch the current frame to polar mode. Angles are in degrees by default; use rad for radians.

Line legend-label
    Begin a new data series. Pairs of numbers follow, one per line, until the next command or end of file. The keyword skip on a line introduces a break in the line.

EXAMPLES

Plot data from a file:
    sciplot-xyplot data.txt

Plot data from multiple files:
    sciplot-xyplot experiment1.txt experiment2.txt

Plot data from standard input:
    echo 'Title="Test"ine="y=x" 1 2 3' | sciplot-xyplot

AUTHOR
Written by Rob McMullen. GTK4/Cairo port and Debian packaging by Barak A. Pearlmutter <bap@debian.org>.

SEE ALSO
sciplot-realtime(1)